Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 224273 - app-shells/layman-bashcomp-0.1.ebuild (New package)
Summary: app-shells/layman-bashcomp-0.1.ebuild (New package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.penguindevelopment.org/ind...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-30 21:31 UTC by Peter Sterk
Modified: 2009-05-05 03:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
layman-bashcomp-0.1.ebuild (layman-bashcomp-0.1.ebuild,500 bytes, text/plain)
2008-05-30 21:32 UTC, Peter Sterk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Sterk 2008-05-30 21:31:22 UTC
Hello,

Please find attached an ebuild for the bash completion script for Layman that I've written. It's a very simple script, and therefore I've released it into the public domain. It completes options, overlays (local and remote) and arguments for some options that require one.

It depends, of course, on app-shells/bash-completion. I propose the category app-shells, as that is where gentoo-bashcomp also resides.


Cheers,

Peter
Comment 1 Peter Sterk 2008-05-30 21:32:49 UTC
Created attachment 154881 [details]
layman-bashcomp-0.1.ebuild

Ebuild for layman-bashcomp-0.1.
Comment 2 Jeroen Roovers gentoo-dev 2008-05-31 16:38:36 UTC
CC'ing wrobel because of app-portage/layman...
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-17 21:15:05 UTC
This should probably just be apart of gentoo-bashcomp. I will review it soonish. No guarentees on timeframe atm though
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-05 03:36:19 UTC
In svn, will be in next release

Peter: I gave you proper credit, please let me know if you would *not* like us to distribute the file